Last modified: 2014-01-03 16:07:50 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 45992 - Enable footercleanup everywhere
Enable footercleanup everywhere
Status: RESOLVED INVALID
Product: Wikimedia
Classification: Unclassified
Extension setup (Other open bugs)
wmf-deployment
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: shell
Depends on: 44634 45946 49252
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-11 17:08 UTC by Monomium
Modified: 2014-01-03 16:07 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Monomium 2013-03-11 17:08:33 UTC
$wgVectorFeatures['footercleanup']['global'] = true; offers superior usability and was bundled with Vector. I'm not sure why it's not enabled, but it doesn't actually change messaging - it just looks better. It should work across all projects.
Comment 1 Sam Reed (reedy) 2013-03-12 19:23:41 UTC
if ( $wmgUseMicroDesign || $wmgUseVectorFooterCleanup ) {
	$wgVectorFeatures['footercleanup']['global'] = true;
}

'wmgUseVectorFooterCleanup' => array(
	'default' => false,
	'mlwiki' => true, // Bug 44634
	'commonswiki' => true, // Bug 45946
),

'wmgUseMicroDesign' => array(
	'default' => false,
	'testwiki' => true,
	'enwiki' => true,
	'itwikivoyage' => true,
),



Roan/Trevor: Any reason we can't/shouldn't/whatever do this?
Comment 2 Bartosz Dziewoński 2013-03-12 20:14:10 UTC
(In reply to comment #0)
>  I'm not sure why it's not enabled, but it
> doesn't
> actually change messaging - it just looks better.

It does reorder stuff a little, and it removed the "edit help" link (which has a separate but about it, I believe).
Comment 3 Bartosz Dziewoński 2013-03-12 20:16:36 UTC
Also, I'm in the process of reimplementing it and merging it into core: bug 43689. I should have it done in a week or two. It might be less disruptive if we only make such a change once.
Comment 4 Bartosz Dziewoński 2013-08-15 19:13:37 UTC
The feature has been merged into core and will be enabled everywhere with the next MW wmf version.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links